<?php use LTK\Foundation\ViewHelper; ?>
<?php use LTK\Foundation\View\Walkers\Bootstrap_Nav_Walker; ?>

<div class="<?php ViewHelper::getLayoutClass('menu');?>">
	<nav class="navbar navbar-default navbar-fixed-top" role="navigation">
		<div class="container">
			
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-collapse-fixed-top">
					<span class="sr-only"><?php _e('Menu', 'ltk-foundation'); ?></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<?php if (ViewHelper::isCustomLogoEnabled()): ?>
					<a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>"><?php ViewHelper::getcustomLogo(get_bloginfo('name')); ?></a>
				<?php endif; ?>
			</div>

			<div class="collapse navbar-collapse" id="navbar-collapse-fixed-top">
				<ul class="nav navbar-nav">
					<?php wp_nav_menu([
						'theme_location'  => 'fixed-top',
						'menu'            => '',
						'container'       => false,
						'container_class' => '',
						'container_id'    => '',
						'menu_class'      => '',
						'menu_id'         => '',
						'echo'            => true,
						'fallback_cb'     => false,
						'before'          => '',
						'after'           => '',
						'link_before'     => '',
						'link_after'      => '',
						'items_wrap'      => '%3$s',
						'depth'           => 2,
						'walker'          => new Bootstrap_Nav_Walker()
					]); ?>
				</ul>
			</div>
			
		</div>
	</nav>
</div>
