<?php

namespace LTK\Foundation\View\Walkers;

use Walker_Nav_Menu;

class Inline_Walker extends Walker_Nav_Menu {
	
	/**
	 * Displays a simple list
	 */
	public function display_element($element, &$children_elements, $max_depth, $depth, $args, &$output) {
		
		if (! $element) {
			return;
		}
		
		echo '<li><a href="' . esc_url($element->url) . '">' . esc_html($element->title) . '</a></li>';
		
	}
	
}
