<li <?php comment_class('panel panel-default'); ?>>
	<div class="panel-body">
		<div class="media">

			<div class="media-left">
				<?php echo get_avatar($comment, 46); ?>
			</div>

			<div class="media-body">

				<p class="media-heading">

					<?php if ($comment->comment_author_url != ''): ?>
						<a href="<?php echo $comment->comment_author_url; ?>" rel="nofollow">
					<?php endif; ?>
					<span class="comment-author"><?php echo $comment->comment_author; ?></span>
					<?php if ($comment->comment_author_url != ''): ?>
						</a>
					<?php endif; ?>

					<small class="pull-right comment-date"><?php comment_date(); ?> - <?php comment_time(); ?></small>

					<?php if ($comment->comment_approved == '0') : ?>
						<p class="comment-moderation"><?php _e('Your comment is awaiting moderation and has not been published yet.', 'ltk-foundation'); ?></p>
					<?php endif; ?>

				</p>

				<div class="comment-text">
					<?php comment_text(); ?>
				</div>

			</div>

		</div>
	</div>
